The Alternative Csound Reference Manual
Previous |  | Next

# mac

mac -- Multiplies and accumulates a- and k-rate signals.

## Description

Multiplies and accumulates a- and k-rate signals.

## Syntax

ar mac asig1, ksig1 [, asig2] [, ksig2] [, asig3] [, ksig3] [...]

## Performance

ksig1, etc. -- k-rate input signals

asig1, etc. -- a-rate input signals

mac multiplies and accumulates a- and k-rate signals. It is equivalent to:

ar = asig1 + ksig1*asig2 + ksig2+asig3 + ...

## See Also

maca

## Credits

Author: John ffitch
University of Bath, Codemist, Ltd.
Bath, UK
May 1999

New in Csound version 3.54

Previous | Home | Next
lpslot | Up | maca